Vinix· docs
API referenceCore APINumbers & TrunksPort Requests

Get PortRequest Attachments

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/port_requests/{port_request_id}/attachments/{attachment_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

port_request_id*string
attachment_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/port_requests/string/attachments/string"
{
  "data": {
    "bill": {
      "account_number": "string",
      "btn": "string",
      "carrier": "string",
      "locality": "string",
      "name": "string",
      "pin": "string",
      "postal_code": "string",
      "region": "string",
      "street_address": "string",
      "street_number": "string",
      "street_post_dir": "string",
      "street_pre_dir": "string",
      "street_type": "string"
    },
    "comments": [
      {
        "account_id": "string",
        "action_required": false,
        "author": "string",
        "content": "string",
        "is_private": false,
        "timestamp": 0,
        "user_id": "string"
      }
    ],
    "name": "string",
    "notifications": {
      "email": {
        "send_to": "[email protected]"
      }
    },
    "numbers": {
      "property1": {},
      "property2": {}
    },
    "reference_number": "string",
    "signee_name": "string",
    "signing_date": 0,
    "transfer_date": 0,
    "winning_carrier": "string"
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}